<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if( defined('REYCORE_ACF_DISABLE_FIELDS') && REYCORE_ACF_DISABLE_FIELDS ){
	return;
}

if( function_exists('acf_add_local_field_group') ):

acf_add_local_field_group(array(
	'key' => 'group_5c4c18df892d1',
	'title' => 'Global Sections',
	'fields' => array(
		array(
			'key' => 'field_5c4c18fb06515',
			'label' => 'Type',
			'name' => 'gs_type',
			'type' => 'button_group',
			'instructions' => 'Select type of global section. <br>Headers & Footers need to be manually assigned in Customizer > Header (Footer) > General , or for specific pages, into the page\' custom options. <br>Generic sections can be assigned to different page positions, either in Customizer > General > Generic Sections (for site-wide usage), or specific pages, into the page\' custom options.',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'generic' => 'Generic Section',
				'header' => 'Header',
				'cover' => 'Page Cover',
				'footer' => 'Footer',
				'megamenu' => 'Mega Menu',
			),
			'allow_null' => 0,
			'default_value' => 'generic',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5c4c3020750d6',
			'label' => 'Enable Layout for Elementor Canvas Template?',
			'name' => 'enable_canvas',
			'type' => 'true_false',
			'instructions' => 'Enabling this option will display this section on pages using Elementor Canvas Template.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c4c18fb06515',
						'operator' => '!=',
						'value' => 'megamenu',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c4c19ec1ce1f',
			'label' => 'Elementor Canvas Position',
			'name' => 'canvas_position',
			'type' => 'select',
			'instructions' => 'Select where to add.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c4c3020750d6',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c4c18fb06515',
						'operator' => '!=',
						'value' => 'megamenu',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'choices' => array(
				'before_content' => 'Before Content',
				'after_content' => 'After Content',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'rey-global-sections',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'acf_after_title',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5c4f2dec3824e',
	'title' => 'Menu Settings',
	'fields' => array(
		array(
			'key' => 'field_5c4f2e4b77834',
			'label' => 'Mega Menu',
			'name' => 'mega_menu',
			'type' => 'true_false',
			'instructions' => 'Activate the mega menu for this menu item.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c4f2e9f77836',
			'label' => 'Mega Menu Type',
			'name' => 'mega_menu_type',
			'type' => 'select',
			'instructions' => 'Select the type of mega menu. Columns will only show submenu trees into columns, while Global Sections allows much more complex layouts.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c4f2e4b77834',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'columns' => 'Menu Columns',
				'global_sections' => 'Global Sections',
			),
			'default_value' => 'columns',
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5c4f31f6d86fd',
			'label' => 'Menu Columns per row',
			'name' => 'mega_menu_columns',
			'type' => 'select',
			'instructions' => 'Select how many columns per row.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c4f2e4b77834',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c4f2e9f77836',
						'operator' => '==',
						'value' => 'columns',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '--dependent',
				'id' => '',
			),
			'choices' => array(
				2 => '2 Columns',
				3 => '3 Columns',
				4 => '4 Columns',
				5 => '5 Columns',
			),
			'default_value' => 2,
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5c4f2f2277837',
			'label' => 'Select Global Section',
			'name' => 'menu_global_section',
			'type' => 'select',
			'instructions' => 'Select the global section to load in this mega menu panel.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c4f2e4b77834',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c4f2e9f77836',
						'operator' => '==',
						'value' => 'global_sections',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '--dependent',
				'id' => '',
			),
			'choices' => array(
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5c4f7fcc3be58',
			'label' => 'Panel layout',
			'name' => 'panel_layout',
			'type' => 'select',
			'instructions' => 'Select the panel\'s layout',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c4f2e4b77834',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'full' => 'Window full width',
				'boxed' => 'Boxed (Container Width)',
				'custom' => 'Custom Width',
			),
			'default_value' => 'boxed',
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5ce2d5578c1b9',
			'label' => 'Panel Width (px)',
			'name' => 'panel_width',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c4f2e4b77834',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5c4f7fcc3be58',
						'operator' => '==',
						'value' => 'custom',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '--dependent',
				'id' => '',
			),
			'default_value' => 800,
			'placeholder' => 'eg: 800',
			'prepend' => '',
			'append' => 'px',
			'min' => 200,
			'max' => 1800,
			'step' => '',
		),
		array(
			'key' => 'field_5e60c30ec556b',
			'label' => 'Sub-Panel Styles',
			'name' => 'panel_styles',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5e60c40ec556c',
			'label' => 'Text Color',
			'name' => 'panel_text_color',
			'type' => 'extended-color-picker',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e60c30ec556b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '--dependent',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5e60c459c556d',
			'label' => 'Background Color',
			'name' => 'panel_bg_color',
			'type' => 'extended-color-picker',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e60c30ec556b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '--dependent',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5e60c468c556e',
			'label' => 'Padding',
			'name' => 'panel_padding',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e60c30ec556b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '--dependent',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 50,
			'prepend' => '',
			'append' => 'px',
			'min' => '',
			'max' => '',
			'step' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'nav_menu_item',
				'operator' => '==',
				'value' => 'location/main-menu',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5d4ff536a2684',
	'title' => 'Product settings',
	'fields' => array(
		array(
			'key' => 'field_5d4ff5734de9f',
			'label' => 'Misc.',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5d4ff5a94dea0',
			'label' => 'Product Info Block/Tab',
			'name' => 'product_info',
			'type' => 'select',
			'instructions' => 'Select if you want to show or hide the "Information" content, which is displayed after the product summary. The content is pre-defined in "Customizer > WooCommerce > Product Page - Content" panel. You can also select Custom content, and you will be able to override it.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'choices' => array(
				1 => 'Show',
				2 => 'Hide',
				'custom' => 'Custom',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5d4ff6c64dea1',
			'label' => 'Custom Content',
			'name' => 'product_info_content',
			'type' => 'wysiwyg',
			'instructions' => 'Override the custom content pre-defined in "Customizer > WooCommerce > Product Page - Content" panel.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5d4ff5a94dea0',
						'operator' => '==',
						'value' => 'custom',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'tabs' => 'all',
			'toolbar' => 'full',
			'media_upload' => 1,
			'delay' => 1,
		),
		array(
			'key' => 'field_60a1063400686',
			'label' => 'Specifications Block/Tab',
			'name' => 'single_specifications_block',
			'type' => 'true_false',
			'instructions' => 'Disable if you don\'t want to display the Specifications block/tab.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
			'ui' => 1,
			'ui_on_text' => 'Show',
			'ui_off_text' => 'Hide',
		),
		array(
			'key' => 'field_60063680a1046',
			'label' => '"Buy Now" button',
			'name' => 'buynow_pdp__enable',
			'type' => 'true_false',
			'instructions' => 'Show the "Buy now" button for this product only.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => 'Show',
			'ui_off_text' => 'Hide',
		),
		array(
			'key' => 'field_5d5016664053b',
			'label' => 'Global Sections',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5d501dda4053c',
			'label' => 'After product summary section',
			'name' => 'product_content_after_summary',
			'type' => 'select',
			'instructions' => 'Select a global section to append after this product page\'s summary section.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5d501f579616f',
			'label' => 'After content',
			'name' => 'product_content_after_content',
			'type' => 'select',
			'instructions' => 'Select a global section to append after this product page\'s content (after reviews).',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5e24805172eb5',
			'label' => 'Add to cart',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5e24815a72eb8',
			'label' => 'Content *Before* Add to cart button',
			'name' => 'enable_text_before_add_to_cart',
			'type' => 'select',
			'instructions' => 'Select if you want to show some content *Before* the Add to Cart button. You can globally assign content on all products by accessing "Customizer > WooCommerce > Product Page - Components" panel and enable the "Text Before Add to cart button" option.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'choices' => array(
				'true' => 'Show',
				'false' => 'Hide',
				'custom' => 'Show Custom Text',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5e24810172eb7',
			'label' => 'Custom text before Add to cart button',
			'name' => 'text_before_add_to_cart',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e24815a72eb8',
						'operator' => '==',
						'value' => 'custom',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => 'wpautop',
		),
		array(
			'key' => 'field_5e24889d03179',
			'label' => 'Content *After* Add to cart button',
			'name' => 'enable_text_after_add_to_cart',
			'type' => 'select',
			'instructions' => 'Select if you want to show some content *After* the Add to Cart button. You can globally assign content on all products by accessing "Customizer > WooCommerce > Product Page - Components" panel and enable the "Text After Add to cart button" option.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'choices' => array(
				'true' => 'Show',
				'false' => 'Hide',
				'custom' => 'Show Custom Text',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5e2488ad0317a',
			'label' => 'Custom text After Add to cart button',
			'name' => 'text_after_add_to_cart',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e24889d03179',
						'operator' => '==',
						'value' => 'custom',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => 'wpautop',
		),
		array(
			'key' => 'field_610ef36f92379',
			'label' => 'Quantity Options',
			'name' => 'quantity_options',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '--clean-table',
				'id' => '',
			),
			'layout' => 'table',
			'sub_fields' => array(
				array(
					'key' => 'field_610ef41f9237a',
					'label' => 'Minimum',
					'name' => 'minimum',
					'type' => 'number',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'min' => '',
					'max' => '',
					'step' => '',
				),
				array(
					'key' => 'field_610ef4659237b',
					'label' => 'Maximum',
					'name' => 'maximum',
					'type' => 'number',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'min' => '',
					'max' => '',
					'step' => '',
				),
				array(
					'key' => 'field_610ef4749237c',
					'label' => 'Step',
					'name' => 'step',
					'type' => 'number',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'min' => '',
					'max' => '',
					'step' => '',
				),
			),
		),
		array(
			'key' => 'field_5e541a33cdb3d',
			'label' => 'Badge',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5efdd6127b753',
			'label' => 'Add badges',
			'name' => 'badges',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '--acf-repeater-row',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 0,
			'layout' => 'row',
			'button_label' => 'Add new badge',
			'sub_fields' => array(
				array(
					'key' => 'field_5efdd6317b754',
					'label' => 'Type',
					'name' => 'type',
					'type' => 'select',
					'instructions' => 'Select the product badge type',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '--size-3',
						'id' => '',
					),
					'choices' => array(
						'text' => 'Text',
						'image' => 'Image',
					),
					'default_value' => false,
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5efdd67c7b755',
					'label' => 'Text',
					'name' => 'text',
					'type' => 'text',
					'instructions' => 'Add the text inside the badge.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5efdd6317b754',
								'operator' => '==',
								'value' => 'text',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => 'eg: HOT',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5efdd6ab7b756',
					'label' => 'Text Color',
					'name' => 'text_color',
					'type' => 'extended-color-picker',
					'instructions' => 'Select the text color',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5efdd6317b754',
								'operator' => '==',
								'value' => 'text',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
				array(
					'key' => 'field_5efdd6cf7b757',
					'label' => 'Background Color',
					'name' => 'text_bg_color',
					'type' => 'extended-color-picker',
					'instructions' => 'Select the background color',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5efdd6317b754',
								'operator' => '==',
								'value' => 'text',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
				array(
					'key' => 'field_5efdd6ef7b758',
					'label' => 'Text Size',
					'name' => 'text_size',
					'type' => 'number',
					'instructions' => 'Select the text size.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5efdd6317b754',
								'operator' => '==',
								'value' => 'text',
							),
						),
					),
					'wrapper' => array(
						'width' => '20',
						'class' => '--size-1 rey-acf-responsive --desktop',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => 'px',
					'min' => 8,
					'max' => 60,
					'step' => 1,
				),
				array(
					'key' => 'field_5efdd7337b759',
					'label' => 'Text Size (Tablet)',
					'name' => 'text_size_tablet',
					'type' => 'number',
					'instructions' => 'Select the text size on tablet.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5efdd6317b754',
								'operator' => '==',
								'value' => 'text',
							),
						),
					),
					'wrapper' => array(
						'width' => '20',
						'class' => '--size-1 rey-acf-responsive --tablet',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => 'px',
					'min' => 8,
					'max' => 60,
					'step' => 1,
				),
				array(
					'key' => 'field_5efdd7667b75a',
					'label' => 'Text Size (Mobile)',
					'name' => 'text_size_mobile',
					'type' => 'number',
					'instructions' => 'Select the text size on tablet.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5efdd6317b754',
								'operator' => '==',
								'value' => 'text',
							),
						),
					),
					'wrapper' => array(
						'width' => '20',
						'class' => '--size-1 rey-acf-responsive --mobile',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => 'px',
					'min' => 8,
					'max' => 60,
					'step' => 1,
				),
				array(
					'key' => 'field_5efdd77e7b75b',
					'label' => 'Badge Image (s)',
					'name' => 'images',
					'type' => 'repeater',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5efdd6317b754',
								'operator' => '==',
								'value' => 'image',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'collapsed' => '',
					'min' => 0,
					'max' => 0,
					'layout' => 'block',
					'button_label' => 'Add new image',
					'sub_fields' => array(
						array(
							'key' => 'field_5efdd7a37b75c',
							'label' => 'Select image',
							'name' => 'select_image',
							'type' => 'image',
							'instructions' => '',
							'required' => 0,
							'conditional_logic' => 0,
							'wrapper' => array(
								'width' => '',
								'class' => '',
								'id' => '',
							),
							'return_format' => 'id',
							'preview_size' => 'thumbnail',
							'library' => 'all',
							'min_width' => '',
							'min_height' => '',
							'min_size' => '',
							'max_width' => '',
							'max_height' => '',
							'max_size' => '',
							'mime_types' => '',
						),
					),
				),
				array(
					'key' => 'field_5efdd7d97b75d',
					'label' => 'Image size',
					'name' => 'image_size',
					'type' => 'number',
					'instructions' => 'Select the badge maximum width.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5efdd6317b754',
								'operator' => '==',
								'value' => 'image',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '--size-1 rey-acf-responsive --desktop',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => 'px',
					'min' => 5,
					'max' => 200,
					'step' => 1,
				),
				array(
					'key' => 'field_5efdd8127b75e',
					'label' => 'Image size (tablet)',
					'name' => 'image_size_tablet',
					'type' => 'number',
					'instructions' => 'Select the badge maximum width for tablets.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5efdd6317b754',
								'operator' => '==',
								'value' => 'image',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '--size-1 rey-acf-responsive --tablet',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => 'px',
					'min' => 5,
					'max' => 200,
					'step' => 1,
				),
				array(
					'key' => 'field_5efdd82d7b75f',
					'label' => 'Image size (mobile)',
					'name' => 'image_size_mobile',
					'type' => 'number',
					'instructions' => 'Select the badge maximum width for mobiles.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5efdd6317b754',
								'operator' => '==',
								'value' => 'image',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '--size-1 rey-acf-responsive --mobile',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => 'px',
					'min' => 5,
					'max' => 200,
					'step' => 1,
				),
				array(
					'key' => 'field_5efd755d67c7b',
					'label' => 'Custom Link',
					'name' => 'link',
					'type' => 'text',
					'instructions' => 'Add a link on the badge. Supports shortcodes.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => 'eg: https://website.com/',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5faebdb8d1573',
					'label' => 'Add on catalog page',
					'name' => 'catalog_page',
					'type' => 'true_false',
					'instructions' => 'Select if you want to display on product catalog page.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 1,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5efdd84a7b760',
					'label' => 'Show badge on mobile',
					'name' => 'show_on_mobile',
					'type' => 'true_false',
					'instructions' => 'Select if you want to show or hide the badge on mobiles.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5faebdb8d1573',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 1,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5efdd88d7b761',
					'label' => 'Badge Position',
					'name' => 'position',
					'type' => 'select',
					'instructions' => 'Choose position in product item in catalog page.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5faebdb8d1573',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '--size-2',
						'id' => '',
					),
					'choices' => array(
						'top_left' => 'Top Left',
						'top_right' => 'Top Right',
						'bottom_left' => 'Bottom Left',
						'bottom_right' => 'Bottom Right',
						'before_title' => 'Before Title',
						'after_content' => 'After content',
					),
					'default_value' => 'top_left',
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5efe3426f25ae',
					'label' => 'Add on product page',
					'name' => 'product_page',
					'type' => 'true_false',
					'instructions' => 'Select if you want to display on product page too.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5efe344bf25af',
					'label' => 'Product page Position',
					'name' => 'product_page_position',
					'type' => 'select',
					'instructions' => 'Select the position where you want to display the badge in the product page',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5efe3426f25ae',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '--size-3',
						'id' => '',
					),
					'choices' => array(
						'before_title' => 'Before Title',
						'before_meta' => 'Before Meta',
						'after_meta' => 'After Meta',
					),
					'default_value' => 'before_title',
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5efe6f23425ae',
					'label' => 'Show as block',
					'name' => 'product_page_as_block',
					'type' => 'true_false',
					'instructions' => 'Select if you want to display the badge as a block.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5efe3426f25ae',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
			),
		),
		array(
			'key' => 'field_5e92dd2e2be4f',
			'label' => 'Video',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5e92dd4f2be50',
			'label' => 'Video URL',
			'name' => 'product_video_url',
			'type' => 'text',
			'instructions' => 'Supports YouTube and Vimeo urls. For self-hosted videos, paste in the video path.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'eg: https://www.youtube.com/watch?v=L6P3nI6VnlY',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5e92dde22be51',
			'label' => 'Gallery - Show "play" icon button over main image?',
			'name' => 'product_video_main_image',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5f678ebf2c933',
			'label' => 'Gallery - Video Image',
			'name' => 'product_video_gallery_image',
			'type' => 'image',
			'instructions' => 'Show this image in product gallery. For gallery with thumbnails, it\'s mandatory to set an image.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e92dde22be51',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_615c464aa9fb2',
			'label' => 'Gallery - Show Inline?',
			'name' => 'product_video_inline',
			'type' => 'true_false',
			'instructions' => 'Enable if you want to show the video inside the gallery (without modal).',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e92dde22be51',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5e92de0d2be53',
			'label' => 'Product Summary - Add button link?',
			'name' => 'product_video_summary',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'disabled' => 'Don\'t add',
				'before_product_meta' => 'Before Product Meta',
				'after_product_meta' => 'After Product Meta',
				'after_share' => 'After Sharing buttons',
				'before_add_to_cart' => 'Before Add to cart button',
				'after_title' => 'After Title',
			),
			'default_value' => 'disabled',
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5f71b8be0bc81',
			'label' => 'Product Summary - Link Text',
			'name' => 'product_video_link_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5e92de0d2be53',
						'operator' => '!=',
						'value' => 'disabled',
					),
					array(
						'field' => 'field_5e92de0d2be53',
						'operator' => '!=',
						'value' => '',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'eg: PLAY PRODUCT VIDEO',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5e92dead5526d',
			'label' => 'Display - Modal Width',
			'name' => 'product_video_modal_size',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'eg: 600',
			'prepend' => '',
			'append' => 'px',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_5ead2de65529d',
			'label' => 'Display - Video Ratio (h/w)',
			'name' => 'product_video_modal_ratio',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'eg: 56.25',
			'prepend' => '',
			'append' => '%',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_5ebea4245eb8f',
			'label' => 'Estimated Delivery',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_604be57ae88dd',
			'label' => 'Hide estimated delivery text',
			'name' => 'estimated_delivery__hide',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5ebea4205eb8e',
			'label' => 'Days',
			'name' => 'estimated_delivery__days',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_604be57ae88dd',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_5f5951eb0dcc9',
			'label' => 'Margin',
			'name' => 'estimated_delivery__days_margin',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_604be57ae88dd',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_604be5abe88de',
			'label' => 'Custom Text',
			'name' => 'estimated_delivery__custom_text',
			'type' => 'text',
			'instructions' => 'Replace default with custom text for this product.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_604be57ae88dd',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5ecaea2256e70',
			'label' => 'Custom Tabs',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5ecae99f56e6d',
			'label' => 'Tabs',
			'name' => 'product_custom_tabs',
			'type' => 'repeater',
			'instructions' => 'These tabs are created in Customizer > WooCommerce > Product page - Tabs panel.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-hideNewBtn',
				'id' => '',
			),
			'collapsed' => 'field_5ecae9c356e6e',
			'min' => 0,
			'max' => 0,
			'layout' => 'row',
			'button_label' => '',
			'sub_fields' => array(
				array(
					'key' => 'field_615be5b543708',
					'label' => 'Override Title',
					'name' => 'override_title',
					'type' => 'true_false',
					'instructions' => 'Enable if you want to override the tab title.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
					'ui' => 1,
					'ui_on_text' => '',
					'ui_off_text' => '',
				),
				array(
					'key' => 'field_5ecae9c356e6e',
					'label' => 'Tab Title',
					'name' => 'tab_title',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_615be5b543708',
								'operator' => '==',
								'value' => '1',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5ecae9ef56e6f',
					'label' => 'Tab Content',
					'name' => 'tab_content',
					'type' => 'wysiwyg',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'tabs' => 'all',
					'toolbar' => 'full',
					'media_upload' => 1,
					'delay' => 1,
				),
			),
		),
		array(
			'key' => 'field_5f79924bfabba',
			'label' => '360 Image',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5f799265fabbb',
			'label' => 'Add images',
			'name' => 'product_360_images',
			'type' => 'gallery',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'id',
			'preview_size' => 'woocommerce_gallery_thumbnail',
			'insert' => 'append',
			'library' => 'all',
			'min' => '',
			'max' => '',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => 'jpg, jpeg, png, webp',
		),
		array(
			'key' => 'field_5fa00e8b3dead',
			'label' => 'Catalog Display',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5fa0535dede64',
			'label' => 'Product Stretch (Colspan)',
			'name' => 'product_stretch',
			'type' => 'number',
			'instructions' => 'Select a size to stretch this product into the catalog. It will span across multiple columns.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-acf-title',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'min' => 1,
			'max' => 5,
			'step' => '',
		),
		array(
			'key' => 'field_5fa053bbede65',
			'label' => 'Image display',
			'name' => 'product_stretch_image_display',
			'type' => 'select',
			'instructions' => 'Select how to display the image.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fa0535dede64',
						'operator' => '>',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'choices' => array(
				'contain' => 'Contain',
				'cover' => 'Cover',
				'images' => 'Display multiple images',
			),
			'default_value' => false,
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5fa0fd45f4b9e',
			'label' => 'Custom Thumbnail',
			'name' => 'product_stretch_custom_thumbnail',
			'type' => 'image',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fa0535dede64',
						'operator' => '>',
						'value' => '1',
					),
					array(
						'field' => 'field_5fa053bbede65',
						'operator' => '==',
						'value' => 'cover',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'id',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_5fa10edcdd397',
			'label' => 'Force Center Content',
			'name' => 'product_stretch_center',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fa0535dede64',
						'operator' => '>',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5fa00e9e3deae',
			'label' => 'Content Before',
			'name' => 'content_before',
			'type' => 'select',
			'instructions' => 'Select what type of content you want to show before the product.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size rey-acf-title',
				'id' => '',
			),
			'choices' => array(
				'gs' => 'Generic Global Section',
				'product' => 'Product',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5fa014ff3deaf',
			'label' => 'Global section',
			'name' => 'content_before_global_section',
			'type' => 'select',
			'instructions' => 'Select a generic global section to display before the product.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fa00e9e3deae',
						'operator' => '==',
						'value' => 'gs',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'choices' => array(
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5fa0156a3deb0',
			'label' => 'Choose Product',
			'name' => 'content_before_product',
			'type' => 'relationship',
			'instructions' => 'Select a product to display before the product.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fa00e9e3deae',
						'operator' => '==',
						'value' => 'product',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'post_type' => array(
				0 => 'product',
			),
			'taxonomy' => '',
			'filters' => array(
				0 => 'search',
			),
			'elements' => '',
			'min' => '',
			'max' => 1,
			'return_format' => 'id',
		),
		array(
			'key' => 'field_5fa016223deb1',
			'label' => 'Column Span',
			'name' => 'content_before_colspan',
			'type' => 'number',
			'instructions' => 'Stretch product per multiple columns.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fa00e9e3deae',
						'operator' => '==',
						'value' => 'gs',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
		array(
			'key' => 'field_5fa01ec02e100',
			'label' => 'Content After',
			'name' => 'content_after',
			'type' => 'select',
			'instructions' => 'Select what type of content you want to show after the product.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size rey-acf-title',
				'id' => '',
			),
			'choices' => array(
				'gs' => 'Generic Global Section',
				'product' => 'Product',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5fa01ed02e101',
			'label' => 'Global section',
			'name' => 'content_after_global_section',
			'type' => 'select',
			'instructions' => 'Select a generic global section to display after the product.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fa01ec02e100',
						'operator' => '==',
						'value' => 'gs',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'choices' => array(
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5fa01ed42e102',
			'label' => 'Choose Product',
			'name' => 'content_after_product',
			'type' => 'relationship',
			'instructions' => 'Select a product to display after the product.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fa01ec02e100',
						'operator' => '==',
						'value' => 'product',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'post_type' => array(
				0 => 'product',
			),
			'taxonomy' => '',
			'filters' => array(
				0 => 'search',
			),
			'elements' => '',
			'min' => '',
			'max' => 1,
			'return_format' => 'id',
		),
		array(
			'key' => 'field_5fa01ed92e103',
			'label' => 'Column Span',
			'name' => 'content_after_colspan',
			'type' => 'number',
			'instructions' => 'Stretch product per multiple columns.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5fa01ec02e100',
						'operator' => '==',
						'value' => 'gs',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'min' => '',
			'max' => '',
			'step' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'product',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5c4ad0bd35b33',
	'title' => 'Singular Settings (Post, Page, Product)',
	'fields' => array(
		array(
			'key' => 'field_5c4ad13830432',
			'label' => 'General',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c4ad1920206f',
			'label' => 'Title Display',
			'name' => 'title_display',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '--size-1',
				'id' => '',
			),
			'choices' => array(
				'show' => 'Show',
				'hide' => 'Hide',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5ca5a644e6fc2',
			'label' => 'Page Cover',
			'name' => 'page_cover',
			'type' => 'select',
			'instructions' => 'Enable/disable or change the pre-assigned page cover in Customizer > Page Cover.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'choices' => array(
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5db54e5bb0124',
			'label' => 'Body CSS Classes',
			'name' => 'rey_body_class',
			'type' => 'text',
			'instructions' => 'Add CSS classes that will be appended to the body tag\'s class attribute.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5c4ad17030433',
			'label' => 'Header',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c4bfd132e0db',
			'label' => 'Header Layout',
			'name' => 'header_layout_type',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'choices' => array(
				'none' => 'None',
				'default' => 'Default Header (Non-Elementor)',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5c77bde02960c',
			'label' => 'Header Text',
			'name' => 'header_text_color',
			'type' => 'extended-color-picker',
			'instructions' => 'This will override the Header\'s text color. Please know that some elements may not be colored properly, so in such cases it\'s probably recommended to customize the colors right into the Header Global Section you\'re currently using.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c4bfd132e0db',
						'operator' => '!=',
						'value' => 'none',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5c4d67245ab37',
			'label' => 'Header Position',
			'name' => 'header_position',
			'type' => 'select',
			'instructions' => 'Select how the header will position itself on top. This option will override the one selected in Customizer > Header > General. Read more about <a href="https://support.reytheme.com/kb/header-positions-and-overlapping-content/" target="_blank">Header Positions and Overlapping Content</a>',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c4bfd132e0db',
						'operator' => '!=',
						'value' => 'none',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'choices' => array(
				'rel' => 'Default (Relative)',
				'absolute' => 'Absolute (over content)',
				'fixed' => 'Fixed (Sticky and over content)',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5df93bde34670',
			'label' => 'Overlap Content',
			'name' => 'header_fixed_overlap',
			'type' => 'select',
			'instructions' => 'If enabled, the header will behave like "relative" header. This option will override the global option set in Customizer > Header > General > Header Position -	Overlap Content.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c4d67245ab37',
						'operator' => '==',
						'value' => 'fixed',
					),
				),
				array(
					array(
						'field' => 'field_5c4d67245ab37',
						'operator' => '==',
						'value' => 'absolute',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '--size-1 rey-acf-responsive --desktop --dependent',
				'id' => '',
			),
			'choices' => array(
				'true' => 'Yes',
				'false' => 'No',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5e00c7041717e',
			'label' => 'Overlap Content (tablet)',
			'name' => 'header_fixed_overlap_tablet',
			'type' => 'select',
			'instructions' => 'If enabled, the header will behave like "relative" header. This option will override the global option set in Customizer > Header > General > Header Position -	Overlap Content.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c4d67245ab37',
						'operator' => '==',
						'value' => 'fixed',
					),
				),
				array(
					array(
						'field' => 'field_5c4d67245ab37',
						'operator' => '==',
						'value' => 'absolute',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '--size-1 rey-acf-responsive --tablet	--dependent',
				'id' => '',
			),
			'choices' => array(
				'true' => 'Yes',
				'false' => 'No',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5e00c7361717f',
			'label' => 'Overlap Content (mobile)',
			'name' => 'header_fixed_overlap_mobile',
			'type' => 'select',
			'instructions' => 'If enabled, the header will behave like "relative" header. This option will override the global option set in Customizer > Header > General > Header Position -	Overlap Content.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c4d67245ab37',
						'operator' => '==',
						'value' => 'fixed',
					),
				),
				array(
					array(
						'field' => 'field_5c4d67245ab37',
						'operator' => '==',
						'value' => 'absolute',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '--size-1 rey-acf-responsive --mobile	--dependent',
				'id' => '',
			),
			'choices' => array(
				'true' => 'Yes',
				'false' => 'No',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5da5d16549bc4',
			'label' => 'Custom Logo',
			'name' => 'custom_logo',
			'type' => 'image',
			'instructions' => 'Add an image here if you want this page to display a different logo image. If using a Header - Global Section, make sure the Header - Logo element doesn\'t have "Override settings" option enabled.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'id',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_5da5d1d449bc5',
			'label' => 'Custom Mobile Logo',
			'name' => 'logo_mobile',
			'type' => 'image',
			'instructions' => 'Add an image here if you want this page to display a different *mobile* logo image. If using a Header - Global Section, make sure the Header - Logo element doesn\'t have "Override settings" option enabled.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'id',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_5c4ae4aa46da7',
			'label' => 'Footer',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c4ae4ba46da8',
			'label' => 'Footer Layout',
			'name' => 'footer_layout_type',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'choices' => array(
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5ecd3bb346234',
			'label' => 'Page layout',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5ecd3bc846235',
			'label' => 'Container width',
			'name' => 'custom_container_width',
			'type' => 'select',
			'instructions' => 'Select the page container width.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'choices' => array(
				'px' => 'Pixels (px)',
				'vw' => 'Viewport Width (vw)',
				'full' => 'Full Width',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5ecd3ca546236',
			'label' => 'Container Width (px)',
			'name' => 'container_width_px',
			'type' => 'range',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ecd3bc846235',
						'operator' => '==',
						'value' => 'px',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 1440,
			'min' => 480,
			'max' => 2560,
			'step' => '',
			'prepend' => '',
			'append' => 'px',
		),
		array(
			'key' => 'field_5ecd3d1946237',
			'label' => 'Container Width (vw)',
			'name' => 'container_width_vw',
			'type' => 'range',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ecd3bc846235',
						'operator' => '==',
						'value' => 'vw',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 90,
			'min' => 1,
			'max' => 100,
			'step' => '',
			'prepend' => '',
			'append' => 'vw',
		),
		array(
			'key' => 'field_5ecd435aadec0',
			'label' => 'Apply only to main content',
			'name' => 'apply_only_to_main_content',
			'type' => 'true_false',
			'instructions' => 'If enabled, this container width will only be applied to the main content (excluding header, footer etc.)',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ecd3bc846235',
						'operator' => '!=empty',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5ecd3daa46239',
			'label' => 'Content padding',
			'name' => 'content_padding',
			'type' => 'group',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '--size-3 rey-acf-dimensions',
				'id' => '',
			),
			'layout' => 'table',
			'sub_fields' => array(
				array(
					'key' => 'field_5ecd3db74623a',
					'label' => 'Top',
					'name' => 'top',
					'type' => 'number',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => 'px',
					'min' => '',
					'max' => '',
					'step' => '',
				),
				array(
					'key' => 'field_5ecd3dcb4623b',
					'label' => 'Right',
					'name' => 'right',
					'type' => 'number',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => 'px',
					'min' => '',
					'max' => '',
					'step' => '',
				),
				array(
					'key' => 'field_5ecd3ddd4623c',
					'label' => 'Bottom',
					'name' => 'bottom',
					'type' => 'number',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => 'px',
					'min' => '',
					'max' => '',
					'step' => '',
				),
				array(
					'key' => 'field_5ecd3ddf4623d',
					'label' => 'Left',
					'name' => 'left',
					'type' => 'number',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => 'px',
					'min' => '',
					'max' => '',
					'step' => '',
				),
			),
		),
		array(
			'key' => 'field_5c4c848308731',
			'label' => 'Advanced',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c4cba8c273ad',
			'label' => 'Global Sections',
			'name' => 'global_sections',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-acf-repeater-list',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 0,
			'layout' => 'table',
			'button_label' => 'Add Global Section',
			'sub_fields' => array(
				array(
					'key' => 'field_5c4cbbb2273af',
					'label' => 'Generic Sections List',
					'name' => 'global_sections_id',
					'type' => 'select',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => 'rey-decrease-list-size',
						'id' => '',
					),
					'choices' => array(
					),
					'default_value' => false,
					'allow_null' => 1,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5c4cbb49273ae',
					'label' => 'Position',
					'name' => 'global_sections_hook',
					'type' => 'select',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => 'rey-decrease-list-size',
						'id' => '',
					),
					'choices' => array(
						'before_site_wrapper' => 'Before Site Wrapper',
						'before_header' => 'Before Header',
						'after_header' => 'After Header',
						'before_site_container' => 'Before Site Container',
						'after_site_container' => 'After Site Container',
						'before_footer' => 'Before Footer',
						'after_footer' => 'After Footer',
						'after_site_wrapper' => 'After Site Wrapper',
					),
					'default_value' => false,
					'allow_null' => 1,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
			),
		),
		array(
			'key' => 'field_5c4c84ef08732',
			'label' => 'Remove Pre-assigned Global Sections',
			'name' => 'remove_global_sections',
			'type' => 'select',
			'instructions' => 'Select if you want to remove the global settings already assigned site-wide in Customizer\'s options > General settings > Global Sections. Hold CTRL key to select multiple.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'choices' => array(
			),
			'default_value' => array(
			),
			'allow_null' => 1,
			'multiple' => 1,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5c4ad2d9a592c',
			'label' => 'Redirect',
			'name' => 'general_redirect',
			'type' => 'true_false',
			'instructions' => 'Make this post/page a redirect.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c4ad2fea592d',
			'label' => 'Redirect URL',
			'name' => 'redirect_url',
			'type' => 'link',
			'instructions' => 'Enter the URL.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5c4ad2d9a592c',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
		),
		array(
			'key' => 'field_5ed770b88a773',
			'label' => 'Sticky Global Section - Top',
			'name' => 'top_sticky_gs',
			'type' => 'select',
			'instructions' => 'Select to add or override the sticky top global section option pre-defined in Customizer > General > Sticky Global Sections',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '--size-3',
				'id' => '',
			),
			'choices' => array(
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5ed77352a54b3',
			'label' => 'Activation Offset',
			'name' => 'top_sticky_gs_offset',
			'type' => 'text',
			'instructions' => 'At what distance from the top edge should be displayed. Add value in pixels eg: 100 or 200px etc. or a unique id selector, eg: #my_unique_element . If empty it\'ll be triggered after the site-header exists viewport.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ed770b88a773',
						'operator' => '!=',
						'value' => '',
					),
					array(
						'field' => 'field_5ed770b88a773',
						'operator' => '!=',
						'value' => 'none',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '--size-3 --dependent',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5ed773c0a54b4',
			'label' => 'Text Color',
			'name' => 'top_sticky_gs_color',
			'type' => 'extended-color-picker',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ed770b88a773',
						'operator' => '!=',
						'value' => '',
					),
					array(
						'field' => 'field_5ed770b88a773',
						'operator' => '!=',
						'value' => 'none',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => ' --dependent',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_5ed773eca54b5',
			'label' => 'Background Color',
			'name' => 'top_sticky_gs_bg_color',
			'type' => 'extended-color-picker',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ed770b88a773',
						'operator' => '!=',
						'value' => '',
					),
					array(
						'field' => 'field_5ed770b88a773',
						'operator' => '!=',
						'value' => 'none',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => ' --dependent',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_60e5e45cc8f30',
			'label' => 'Select visibility',
			'name' => 'top_sticky_gs_hide_devices',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ed770b88a773',
						'operator' => '!=',
						'value' => '',
					),
					array(
						'field' => 'field_5ed770b88a773',
						'operator' => '!=',
						'value' => 'none',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => ' --dependent',
				'id' => '',
			),
			'choices' => array(
				'desktop' => 'Hide on desktop',
				'tablet' => 'Hide on tablet',
				'mobile' => 'Hide on mobile',
			),
			'default_value' => array(
			),
			'allow_null' => 1,
			'multiple' => 1,
			'ui' => 1,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5ed7747da54b7',
			'label' => 'Add close button?',
			'name' => 'top_sticky_gs_close',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ed770b88a773',
						'operator' => '!=',
						'value' => '',
					),
					array(
						'field' => 'field_5ed770b88a773',
						'operator' => '!=',
						'value' => 'none',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '--size-1 --dependent',
				'id' => '',
			),
			'choices' => array(
				'yes' => 'Yes',
				'no' => 'No',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5ed771438a774',
			'label' => 'Sticky Global Section - Bottom',
			'name' => 'bottom_sticky_gs',
			'type' => 'select',
			'instructions' => 'Select to add or override the sticky top global section option pre-defined in Customizer > General > Sticky Global Sections',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '--size-3',
				'id' => '',
			),
			'choices' => array(
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5ed77694922fa',
			'label' => 'Activation Offset',
			'name' => 'bottom_sticky_gs_offset',
			'type' => 'text',
			'instructions' => 'At what distance from the top edge should be displayed. Add value in pixels eg: 100 or 200px etc. or a unique id selector, eg: #my_unique_element . If empty it\'ll be triggered after the site-header exists viewport.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ed771438a774',
						'operator' => '!=',
						'value' => '',
					),
					array(
						'field' => 'field_5ed771438a774',
						'operator' => '!=',
						'value' => 'none',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '--size-3 --dependent',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_6e45f0cc8e530',
			'label' => 'Select visibility',
			'name' => 'bottom_sticky_gs_hide_devices',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ed771438a774',
						'operator' => '!=',
						'value' => '',
					),
					array(
						'field' => 'field_5ed771438a774',
						'operator' => '!=',
						'value' => 'none',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => ' --dependent',
				'id' => '',
			),
			'choices' => array(
				'desktop' => 'Hide on desktop',
				'tablet' => 'Hide on tablet',
				'mobile' => 'Hide on mobile',
			),
			'default_value' => array(
			),
			'allow_null' => 1,
			'multiple' => 1,
			'ui' => 1,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5ed776c2922fc',
			'label' => 'Add close button?',
			'name' => 'bottom_sticky_gs_close',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5ed771438a774',
						'operator' => '!=',
						'value' => '',
					),
					array(
						'field' => 'field_5ed771438a774',
						'operator' => '!=',
						'value' => 'none',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '--size-1 --dependent',
				'id' => '',
			),
			'choices' => array(
				'yes' => 'Yes',
				'no' => 'No',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_6031467caec55',
			'label' => '',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '<h3>Assets</h3>',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_603146f7aec56',
			'label' => 'Disable WordPress Blocks Styles',
			'name' => 'perf__disable_wpblock',
			'type' => 'select',
			'instructions' => 'Will disable WordPress\'s built-in Gutenberg editor styles. Enable this option if you don\'t use blocks throughout this page.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '--size-1',
				'id' => '',
			),
			'choices' => array(
				1 => 'Yes',
				0 => 'No',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_60314765aec57',
			'label' => 'Disable WooCommerce Blocks Styles',
			'name' => 'perf__disable_wcblock',
			'type' => 'select',
			'instructions' => 'Will disable WordPress\'s built-in Gutenberg editor styles. Enable this option if you don\'t use blocks throughout this page.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '--size-1',
				'id' => '',
			),
			'choices' => array(
				1 => 'Yes',
				0 => 'No',
			),
			'default_value' => false,
			'allow_null' => 1,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_6031477faec58',
			'label' => 'Exclude CSS Stylesheets',
			'name' => 'perf__css_exclude',
			'type' => 'select',
			'instructions' => 'You can choose specific stylesheets to exclude from being loaded globally in the site. Not recommended unless you specifically want this for various purposes such as overrides or things like that. There\'s a global option in Customizer > General > Performance too.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
			),
			'default_value' => array(
			),
			'allow_null' => 1,
			'multiple' => 1,
			'ui' => 1,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'page',
			),
		),
		array(
			array(
				'param' => 'taxonomy',
				'operator' => '==',
				'value' => 'category',
			),
		),
		array(
			array(
				'param' => 'taxonomy',
				'operator' => '==',
				'value' => 'product_cat',
			),
		),
		array(
			array(
				'param' => 'taxonomy',
				'operator' => '==',
				'value' => 'product_tag',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'product',
			),
		),
		array(
			array(
				'param' => 'taxonomy',
				'operator' => '==',
				'value' => 'pa_brand',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => 'These settings apply for this post/page/taxonomies.',
));

acf_add_local_field_group(array(
	'key' => 'group_5c990a758cfda',
	'title' => 'Theme Settings',
	'fields' => array(
		array(
			'key' => 'field_5d3afdfd482f1',
			'label' => 'Font Settings',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c9e384a43424',
			'label' => '',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '<h1>Font Settings</h1>
<p>Adjust your website\'s typography settings. To customize frontend\'s typography, head over to Customizer > General > Typography.</p>',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_5c99dfa967354',
			'label' => 'Preload Google Fonts',
			'name' => 'preload_google_fonts',
			'type' => 'repeater',
			'instructions' => 'To optimize your website\'s performance, you can preload Google fonts which will be shown in Customizer font lists as well as Elementor font lists. Currently Customizer and Elementor are loading their selected fonts separately and this can cause performance issues, like too many fonts loaded or even duplicates.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-acf-repeater-list rey-acf-repeater-list--fonts',
				'id' => '',
			),
			'collapsed' => 'field_5c99e05667355',
			'min' => 0,
			'max' => 0,
			'layout' => 'table',
			'button_label' => 'Add Google Font',
			'sub_fields' => array(
				array(
					'key' => 'field_5c99e05667355',
					'label' => 'Font name',
					'name' => 'font_name',
					'type' => 'select',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
					),
					'default_value' => false,
					'allow_null' => 1,
					'multiple' => 0,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5c99e08467356',
					'label' => 'Font Variants',
					'name' => 'font_variants',
					'type' => 'select',
					'instructions' => 'Select any font variant you want to load.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5c99e05667355',
								'operator' => '!=',
								'value' => '',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						100 => 'Ultra-Light 100',
						'100i' => 'Ultra-Light 100 Italic',
						200 => 'Light 200',
						'200i' => 'Light 200 Italic',
						300 => 'Book 300',
						'300i' => 'Book 300 Italic',
						400 => 'Normal 400',
						'400i' => 'Normal 400 Italic',
						500 => 'Medium 500',
						'500i' => 'Medium 500 Italic',
						600 => 'Semi-Bold 600',
						'600i' => 'Semi-Bold 600 Italic',
						700 => 'Bold 700',
						'700i' => 'Bold 700 Italic',
						800 => 'Extra-Bold 800',
						'800i' => 'Extra-Bold 800 Italic',
						900 => 'Ultra-Bold 900',
						'900i' => 'Ultra-Bold 900 Italic',
					),
					'default_value' => array(
					),
					'allow_null' => 0,
					'multiple' => 1,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array(
					'key' => 'field_5c9e3e5698733',
					'label' => 'Font Subsets',
					'name' => 'font_subsets',
					'type' => 'select',
					'instructions' => 'Be sure to check Google Fonts app what subsets are supported.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5c99e05667355',
								'operator' => '!=',
								'value' => '',
							),
						),
					),
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'latin-ext' => 'Latin Extended',
						'cyrillic' => 'Cyrillic',
						'cyrillic-ext' => 'Cyrillic Extended',
						'greek' => 'Greek',
						'greek-ext' => 'Greek Extended',
						'hebrew' => 'Hebrew',
						'malayalam' => 'Malayalam',
						'vietnamese' => 'Vietnamese',
						'devanagari' => 'Devanagari',
						'khmer' => 'Khmer',
						'arabic' => 'Arabic',
						'bengali' => 'Bengali',
						'gujarati' => 'Gujarati',
						'tamil' => 'Tamil',
						'telugu' => 'Telugu',
						'thai' => 'Thai',
					),
					'default_value' => array(
					),
					'allow_null' => 1,
					'multiple' => 1,
					'ui' => 1,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
			),
		),
		array(
			'key' => 'field_5c997501aef80',
			'label' => 'Self-host Google Fonts',
			'name' => 'self_host_fonts',
			'type' => 'true_false',
			'instructions' => 'This option will store the Google Fonts on your server, resulting in potentially faster rendering.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5caf1fa73b466',
			'label' => 'Adobe Fonts Project ID (Typekit)',
			'name' => 'adobe_fonts_project_id',
			'type' => 'text',
			'instructions' => 'Create a new <a href="https://fonts.adobe.com/my_fonts#web_projects-section" target="_blank">Adobe Font Web Project</a> and paste here its project ID. After saving this page, you\'ll be able to notice the new fonts in the fonts lists of Customizer and Elementor.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'eg: pa2xijk',
			'prepend' => '',
			'append' => '',
			'maxlength' => 10,
		),
		array(
			'key' => 'field_5c991aef87500',
			'label' => 'Load all font variants (Customizer)',
			'name' => 'kirki_font_variants',
			'type' => 'true_false',
			'instructions' => 'This will force Customizer\'s (Kirki framework) Google fonts list to load all variants (font weights). Please be careful about this option as it could generate performance issues because each font variant has its own file which is pretty big. Recommended to be disabled.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5ef73f139c0a1',
			'label' => 'Custom Fonts',
			'name' => 'custom_fonts',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '--acf-repeater-row',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 0,
			'layout' => 'row',
			'button_label' => 'Add Custom Font',
			'sub_fields' => array(
				array(
					'key' => 'field_5ef73f449c0a2',
					'label' => 'Name',
					'name' => 'name',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_5ef73f579c0a3',
					'label' => 'Font .woff2',
					'name' => 'font_woff2',
					'type' => 'file',
					'instructions' => 'Upload the font\'s woff2 file.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'array',
					'library' => 'all',
					'min_size' => '',
					'max_size' => '',
					'mime_types' => '.woff2',
				),
				array(
					'key' => 'field_5ef73fab9c0a4',
					'label' => 'Font .woff',
					'name' => 'font_woff',
					'type' => 'file',
					'instructions' => 'Upload the font\'s woff file.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'array',
					'library' => 'all',
					'min_size' => '',
					'max_size' => '',
					'mime_types' => '.woff',
				),
				array(
					'key' => 'field_5ef73fae9c0a5',
					'label' => 'Font .ttf',
					'name' => 'font_ttf',
					'type' => 'file',
					'instructions' => 'Upload the font\'s ttf file.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'array',
					'library' => 'all',
					'min_size' => '',
					'max_size' => '',
					'mime_types' => '.ttf',
				),
				array(
					'key' => 'field_5ef73fbb9c0a7',
					'label' => 'Font .svg',
					'name' => 'font_svg',
					'type' => 'file',
					'instructions' => 'Upload the font\'s svg file.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'array',
					'library' => 'all',
					'min_size' => '',
					'max_size' => '',
					'mime_types' => '.svg',
				),
				array(
					'key' => 'field_5ef73fbf9c0a8',
					'label' => 'Font .otf',
					'name' => 'font_otf',
					'type' => 'file',
					'instructions' => 'Upload the font\'s otf file.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'url',
					'library' => 'all',
					'min_size' => '',
					'max_size' => '',
					'mime_types' => '.otf',
				),
				array(
					'key' => 'field_5ef740139c0a9',
					'label' => 'Font Display',
					'name' => 'font_display',
					'type' => 'select',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'auto' => 'Auto',
						'block' => 'Block',
						'swap' => 'Swap',
						'fallback' => 'Fallback',
						'optional' => 'Optional',
					),
					'default_value' => 'auto',
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
			),
		),
		array(
			'key' => 'field_5d3afe16482f2',
			'label' => 'Misc. Settings',
			'name' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
			'endpoint' => 0,
		),
		array(
			'key' => 'field_5c9e3a0241250',
			'label' => '',
			'name' => '',
			'type' => 'message',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '<h1>Miscellaneous Settings</h1>',
			'new_lines' => 'wpautop',
			'esc_html' => 0,
		),
		array(
			'key' => 'field_5c991011d16cd',
			'label' => 'ACF fields panel',
			'name' => 'acf_fields_panel',
			'type' => 'true_false',
			'instructions' => 'Enable or disable the custom fields panel (ACF Panel) in the WordPress backend menu.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5c01d16c1991d',
			'label' => 'Widgets Page - Blocks Layout',
			'name' => 'rey_widgets_blocks_layout',
			'type' => 'true_false',
			'instructions' => 'Enable Widgets page modern WP 5.8+ blocks layout.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5ebea386f5754',
			'label' => 'Singular Settings - Post types support',
			'name' => 'singular_settings_support',
			'type' => 'checkbox',
			'instructions' => 'Select on which post types to display the "Singular Settings" options block.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'red' => 'Red',
				'blue' => 'BLue',
			),
			'allow_custom' => 0,
			'default_value' => array(
				0 => 'post',
				1 => 'page',
				2 => 'product',
				3 => 'rey-templates',
			),
			'layout' => 'vertical',
			'toggle' => 0,
			'return_format' => 'value',
			'save_custom' => 0,
		),
		array(
			'key' => 'field_5f7c4cfd0fff9',
			'label' => 'Singular Settings - User Roles',
			'name' => 'singular_settings_support_roles',
			'type' => 'select',
			'instructions' => 'Select allowed user roles to display the Singular settings.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => 'rey-decrease-list-size',
				'id' => '',
			),
			'choices' => array(
			),
			'default_value' => 'all',
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 1,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'rey-settings',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'acf_after_title',
	'style' => 'seamless',
	'label_placement' => 'left',
	'instruction_placement' => 'field',
	'hide_on_screen' => array(
		0 => 'permalink',
		1 => 'the_content',
		2 => 'excerpt',
		3 => 'discussion',
		4 => 'comments',
		5 => 'revisions',
		6 => 'slug',
		7 => 'author',
		8 => 'format',
		9 => 'page_attributes',
		10 => 'featured_image',
		11 => 'categories',
		12 => 'tags',
		13 => 'send-trackbacks',
	),
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5f0439874af42',
	'title' => 'Icon Menu Settings',
	'fields' => array(
		array(
			'key' => 'field_5f04398752b45',
			'label' => 'Menu item Icon',
			'name' => 'enable_menu_item_icon',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5f04398752b4c',
			'label' => 'Select Icon',
			'name' => 'menu_item_icon',
			'type' => 'image',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5f04398752b45',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '--dependent',
				'id' => '',
			),
			'return_format' => 'id',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'nav_menu_item',
				'operator' => '==',
				'value' => 'all',
			),
		),
	),
	'menu_order' => 10,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

endif;
