<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if( class_exists( 'AWS_Main' ) && !class_exists('ReyCore_Compatibility__AdvancedWooSearch') ):

	class ReyCore_Compatibility__AdvancedWooSearch
	{
		public function __construct()
		{
			add_action( 'rey/search_form', [ $this, 'search_form' ], 10);
			add_action( 'reycore/woocommerce/search/before_request', [ $this, 'before_request' ], 10, 2);
			// add_filter( 'aws_js_seamless_selectors', [$this, 'js_seamless_selectors'] );
		}

		function search_form(){
			echo '<input type="hidden" name="type_aws" value="true">';
		}

		function before_request( $search_string, $rey_search ){

			$aws_results = aws_search($search_string);

			if( ! (isset($aws_results['products']) && !empty($aws_results['products'])) ){
				wp_send_json_error();
			}

			$products_ids = array_slice( wp_list_pluck($aws_results['products'], 'id'), 0, 5, true);

			$query = new WP_Query( [
				'post_type' => 'product',
				'post__in' => $products_ids,
				'suppress_filters' => true,
			] );

			$_results = $rey_search->json_results( $query );

			wp_send_json_success( $_results );
		}

		function js_seamless_selectors($selectors){
			$selectors[] = '.rey-searchForm form';
			return $selectors;
		}

	}

	new ReyCore_Compatibility__AdvancedWooSearch();
endif;
