<?php

namespace ReyCore\Compatibility;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if( class_exists('Iconic_WSSV') ):

	class IconicSingleVariations
	{
		public function __construct() {
			add_action('init', [$this, 'init']);
		}

		function init(){
			add_filter('reycore/ajaxfilters/post_types_count', [$this, 'filter_product_count_post_types']);
			add_filter('jck_wssv_add_to_cart_button_class', [$this, 'add_to_cart_button_class']);
		}

		function filter_product_count_post_types( $types ){
			$types[] = 'product_variation';
			return $types;
		}

		function add_to_cart_button_class( $class ){

			if( class_exists('ReyCore_WooCommerce_ButtonAddToCart') ){
				return \ReyCore_WooCommerce_ButtonAddToCart::add_to_cart_classes([
					'class' => $class
				]);
			}

			return $class;
		}
	}

	new IconicSingleVariations;

endif;
