<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if( function_exists('wc_product_table') && !class_exists('ReyCore_Compatibility__WooCommerceProductTable') ):

	class ReyCore_Compatibility__WooCommerceProductTable
	{
		public function __construct() {
			add_action('wc_product_table_before_get_table', [$this, 'disable_qty']);
			add_action( 'reycore/assets/register_scripts', [ $this, 'register_scripts' ] );
			add_action( 'wp_enqueue_scripts', [ $this, 'enqueue_scripts' ] );
		}

		function disable_qty(){
			add_filter('reycore/woocommerce/wrap_quantity', '__return_false');
			add_filter('reycore/woocommerce/add_quantity_controls', '__return_false');
		}

		public function enqueue_scripts(){
			reyCoreAssets()->add_styles(self::ASSET_HANDLE);
		}

		public function register_scripts(){
            wp_register_style( self::ASSET_HANDLE, REY_CORE_COMPATIBILITY_URI . basename(__DIR__) . '/style.css', [], REY_CORE_VERSION );
		}

	}

	new ReyCore_Compatibility__WooCommerceProductTable;
endif;
