<?php
if (!defined('ABSPATH')) exit; // Exit if accessed directly

$section = 'section_cover__blog';

ReyCoreKirki::add_section($section, array(
    'title'          => esc_html__('Blog', 'rey-core'),
	'panel'			 => 'cover_panel',
	'priority'       => 10,
));

ReyCoreKirki::add_field( 'rey_core_kirki', [
	'type'        => 'custom',
	'settings'    => 'cover_title__blog',
	'section'     => $section,
	'priority'       => 10,
	'default'     => $main_desc,
] );

// Blog Categories
reycore_customizer__title([
	'title'       => esc_html__('Blog Categories', 'rey-core'),
	'description' => esc_html__('These settings will apply on all blog categories of your website. You can always disable or change the Page Cover of a specific category, in its options.', 'rey-core'),
	'section'     => $section,
	'size'        => 'md',
	'border'      => 'none',
	'upper'       => true,
	'priority'    => 10,
]);

ReyCoreKirki::add_field( 'rey_core_kirki', [
	'type'        => 'select',
	'settings'    => 'cover__blog_cat',
	'label'       => esc_html__( 'Select a Page Cover', 'rey-core' ),
	'section'     => $section,
	'default'     => 'no',
	'choices'     => $covers,
	'priority'    => 10
] );


// Blog Posts
reycore_customizer__title([
	'title'       => esc_html__('Blog Posts', 'rey-core'),
	'description' => esc_html__('These settings will apply on all blog posts of your website. You can always disable or change the Page Cover of a specific post, in its options.', 'rey-core'),
	'section'     => $section,
	'size'        => 'md',
	'border'      => 'top',
	'upper'       => true,
	'priority'    => 10,
]);

ReyCoreKirki::add_field( 'rey_core_kirki', [
	'type'        => 'select',
	'settings'    => 'cover__blog_post',
	'label'       => esc_html__( 'Select a Page Cover', 'rey-core' ),
	'section'     => $section,
	'default'     => 'no',
	'choices'     => $covers,
	'priority'    => 10
] );


// Blog HOME
reycore_customizer__title([
	'title'       => esc_html__('Blog Home (Page)', 'rey-core'),
	'description' => esc_html__('You can assign a Page Cover into the Blog page. This page is auto-generated by WordPress, chosen in Customizer > General Settings > Homepage Settings.', 'rey-core'),
	'section'     => $section,
	'border'      => 'top',
	'size'        => 'md',
	'upper'       => true,
	'priority'    => 10,
]);
ReyCoreKirki::add_field( 'rey_core_kirki', [
	'type'        => 'select',
	'settings'    => 'cover__blog_home',
	'label'       => esc_html__( 'Select a Page Cover', 'rey-core' ),
	'section'     => $section,
	'default'     => 'no',
	'choices'     => $covers,
	'priority'    => 10
] );

reycore_customizer__help_link([
	'url' => 'https://support.reytheme.com/kb/customizer-page-cover/#blog',
	'section' => $section
]);
