<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$section = 'search_page';

ReyCoreKirki::add_field( 'rey_core_kirki', [
	'type'        => 'multicheck',
	'settings'    => 'search__include',
	'label'       => esc_html__( 'Include taxonomies in search', 'rey-core' ),
	'description' => esc_html__( 'Please use with attention because it might return too many generic results.', 'rey-core' ),
	'section'     => $section,
	'default'     => [],
	'choices'     => reycore_customizer__wc_taxonomies(),
] );

reycore_customizer__title([
	'title'       => esc_html__('EMPTY PRODUCTS PAGE', 'rey-core'),
	'section'     => $section,
	'size'        => 'md',
	'border'      => 'none',
	'upper'       => true,
]);

ReyCoreKirki::add_field( 'rey_core_kirki', [
	'type'        => 'select',
	'settings'    => 'loop_search_empty__gs',
	'label'       => esc_html__( 'Show Global Section', 'rey-core' ),
	'section'     => $section,
	'default'     => '',
	'choices'     => reycore_customizer__global_sections('generic', ['' => '- None -']),
] );

ReyCoreKirki::add_field( 'rey_core_kirki', [
	'type'        => 'select',
	'settings'    => 'loop_search_empty__mode',
	'label'       => esc_html__( 'Mode', 'rey-core' ),
	'section'     => $section,
	'default'     => 'overwrite',
	'choices'     => [
		'overwrite' => esc_html__( 'Overwrite Content', 'rey-core' ),
		'before' => esc_html__( 'Add Before', 'rey-core' ),
		'after' => esc_html__( 'Add After', 'rey-core' ),
	],
	'active_callback' => [
		[
			'setting'  => 'loop_search_empty__gs',
			'operator' => '!=',
			'value'    => '',
		],
	],
] );
