<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if(!class_exists('ReyCore_Elementor_Common')):

	class ReyCore_Elementor_Common
	{

		function __construct() { }

		public static function toggle_text($content, $all_settings){

			if( ! isset($all_settings['rey_toggle_text']) ){
				return $content;
			}

			if( $all_settings['rey_toggle_text'] === '' ){
				return $content;
			}

			$strip_tags = isset($all_settings['rey_toggle_text_tags']) && $all_settings['rey_toggle_text_tags'] !== '';

			$more_text = esc_html_x('Read more', 'Toggling the product excerpt.', 'rey-core');
			$less_text = esc_html_x('Less', 'Toggling the product excerpt.', 'rey-core');

			if( isset($all_settings['rey_toggle_text_more']) && $custom_more_text = $all_settings['rey_toggle_text_more'] ){
				$more_text = $custom_more_text;
			}

			if( isset($all_settings['rey_toggle_text_less']) && $custom_less_text = $all_settings['rey_toggle_text_less'] ){
				$less_text = $custom_less_text;
			}

			if( $strip_tags ){

				$intro = wp_strip_all_tags($content);
				$limit = 50;

				if ( strlen($intro) > $limit) {

					$content = '<div class="u-toggle-text --collapsed">';
						$content .= '<div class="u-toggle-content">';
						$content .= $intro;
						$content .= '</div>';
						$content .= '<button class="btn u-toggle-btn" data-read-more="'. $more_text .'" data-read-less="'. $less_text .'"></button>';
					$content .= '</div>';

					return $content;
				}
			}
			// keep tags
			else{
				$full_content = $content;
				if( $full_content ):
					$content = '<div class="u-toggle-text-next-btn --short">';
					$content .= $full_content;
					$content .= '</div>';
					$content .= '<button class="btn btn-line-active"><span data-read-more="'. $more_text .'" data-read-less="'. $less_text .'"></span></button>';
				endif;
			}

			return $content;
		}

	}

endif;
