<?php
namespace ReyCore\Cards;

use \ReyCore\Cards\Base;

if (!defined('ABSPATH')) exit; // Exit if accessed directly

class Manhattan extends CardBase
{
	public function __construct() {
		parent::__construct();
	}

	public function get_id(){
		return 'manhattan';
	}

	public function get_name(){
		return 'Manhattan';
	}

	public function get_css(){
		return [
			$this->asset_key => [
				'src'     => $this->template_path . '/style.css',
				'deps'    => [],
				'version'   => REY_CORE_VERSION,
			]
		];
	}

	public function get_card_defaults(){
		return [
			'button_style' => 'btn-line-active',
		];
	}

	public function get_supports(){
		return [
			'height',
			'clip',
		];
	}

	public function __item_content(){

		$this->__image();
		$this->__overlay();

		echo '<div class="__wrapper">';

			$this->__title();

			echo '<div class="__inner-content js-get-height">';
				echo '<div class="__spacer"></div>';

				$this->__subtitle();
				$this->__button();

			echo '</div>';

		echo '</div>';

	}
}

add_action('reycore/cards/init', function( $base ){
	$base->register( new Manhattan );
});
