<?php

namespace ReyCore\ProductsPerPage;

if (!defined('ABSPATH')) exit; // Exit if accessed directly

class Customizer
{
	public function __construct()
	{
		add_action('reycore/customizer/woocommerce/loop/after_components', [$this, 'add_loop_controls']);
	}

	function add_loop_controls( $section ){

		reycore_customizer__title([
			'title'       => esc_html_x('Products per page Switcher', 'Customizer control text', 'rey-core'),
			'description' => _x('Will display a switcher to change the products pare page count. This feature affects performance because the DB queries will be higher.', 'Customizer control text', 'rey-core'),
			'section'     => $section,
			'size'        => 'md',
			'border'      => 'top',
			'upper'       => true,
			'style_attr'  => '--border-size: 3px;',
		]);

		\ReyCoreKirki::add_field( 'rey_core_kirki', [
			'type'        => 'toggle',
			'settings'    => 'loop_switcher_ppp',
			'label'       => esc_html__( 'Enable Switcher', 'rey-core' ),
			'section'     => $section,
			'default'     => false,
		] );

		\ReyCoreKirki::add_field( 'rey_core_kirki', [
			'type'        => 'select',
			'settings'    => 'loop_switcher_ppp_layout',
			'label'       => esc_html_x( 'Switcher layout', 'Customizer control text', 'rey-core' ),
			'section'     => $section,
			'default'     => 'inline',
			'choices'     => [
				'inline' => esc_html_x( 'Inline list', 'Customizer control text', 'rey-core' ),
				'drop' => esc_html_x( 'Drop-down list', 'Customizer control text', 'rey-core' ),
			],
			'active_callback' => [
				[
					'setting'  => 'loop_switcher_ppp',
					'operator' => '==',
					'value'    => true,
				],
			],
		] );

	}

}

new Customizer();
