<?php

namespace ReyCore\ScheduledSales;

use ReyCore\ScheduledSales\Base as Base;

if (!defined('ABSPATH')) exit; // Exit if accessed directly

class Pdp
{
	public function __construct()
	{
		add_action('init', [$this, 'init']);
	}

	public function init(){

		$this->instance = instance();

		if( ! ($this->type = $this->instance->data['pdp']['type']) ){
			return;
		}

		add_action('woocommerce_before_single_product', [$this, 'add']);
	}

	function add(){

		$position = $this->instance->data['pdp']['position'];

		$hooks = [
			'before_title' => [
				'hook'     => 'woocommerce_single_product_summary',
				'priority' => 4,
			],
			'after_price' => [
				'hook'     => 'woocommerce_single_product_summary',
				'priority' => 11,
			],
			'before_meta' => [
				'hook'     => 'woocommerce_single_product_summary',
				'priority' => 39,
			],
			'after_meta' => [
				'hook'     => 'woocommerce_single_product_summary',
				'priority' => 99,
			],
		];

		if( ! isset($hooks[ $position ]) ){
			return;
		}

		add_action($hooks[ $position ]['hook'], [ $this->instance, 'render' ], $hooks[ $position ]['priority']);

	}

}

new Pdp();
