<?php
namespace ReyCore\WooCommerce\Loop;

if (!defined('ABSPATH')) exit; // Exit if accessed directly

class Skin
{
	const ASSET_HANDLE = 'reycore-loop-product-skin';

	protected $loop;

	public function __construct()
	{
		add_action( 'reycore/kirki_fields/after_field=loop_skin', [ $this, 'add_customizer_options' ] );
	}

	public function get_id(){
		return '';
	}

	public function get_name(){
		return '';
	}

	public function get_asset_key(){
		return self::ASSET_HANDLE . '-' . $this->get_id();
	}

	public function add_hooks(){

		$this->loop = \ReyCore_WooCommerce_Loop::getInstance();

		$this->__add_hooks();

		add_action( 'woocommerce_before_shop_loop_item', [$this, 'apply_extra_thumbs_filter'], 10);
		add_action( 'woocommerce_after_shop_loop_item', [$this, 'remove_extra_thumbs_filter'], 10);
		add_filter( 'post_class', [$this,'custom_css_classes'], 20 );
		add_filter( 'product_cat_class', [$this,'custom_css_classes'], 20 );

		do_action( 'reycore/woocommerce/loop/after_skin_init', $this );

	}

	public function remove_hooks(){

		$this->__remove_hooks();

		remove_action( 'woocommerce_before_shop_loop_item', [$this, 'apply_extra_thumbs_filter'], 10);
		remove_action( 'woocommerce_after_shop_loop_item', [$this, 'remove_extra_thumbs_filter'], 10);
		remove_filter( 'post_class', [$this,'custom_css_classes'], 20 );
		remove_filter( 'product_cat_class', [$this,'custom_css_classes'], 20 );
	}

	protected function __add_hooks(){}

	protected function __remove_hooks(){}

	public function apply_extra_thumbs_filter(){
		add_filter( 'woocommerce_product_get_image', [$this->loop, 'add_thumbnails_slideshow'], 10, 3);
	}

	public function remove_extra_thumbs_filter(){
		remove_filter( 'woocommerce_product_get_image', [$this->loop, 'add_thumbnails_slideshow'], 10, 3);
	}

	public function add_scripts(){
		reyCoreAssets()->add_styles($this->get_asset_key());
	}

	public function get_component_hooks(){
		return [];
	}

	public function get_script_params(){
		return [];
	}

	public function get_default_settings(){
		return [];
	}

	public function add_customizer_options(){}

	public function register_scripts(){}

	public function skin_classes(){
		return [];
	}

	public function custom_css_classes($classes){

		if( apply_filters('reycore/woocommerce/loop/prevent_custom_css_classes', is_admin() && !wp_doing_ajax() ) ){
			return $classes;
		}

		if( $skin_classes = $this->skin_classes() ){
			$classes = array_merge($classes, $skin_classes);
		}

		if( $general_css_classes = $this->loop->general_css_classes() ){
			$classes = array_merge($classes, $general_css_classes);
		}

		return $classes;

	}

}
